Package org.h2.index

# Class MetaCursor

java.lang.Object
org.h2.index.MetaCursor

All Implemented Interfaces:
  `Cursor`

public class MetaCursor extends Object implements Cursor
An index for a meta data table. This index can only scan through all rows, search is not supported.

## Method Summary

Modifier and Type
Method
Description
`Row`
`get()`
Get the complete current row.
`SearchRow`
`getSearchRow()`
Get the current row.
`boolean`
`next()`
Skip to the next row if one is available.
`boolean`
`previous()`
Skip to the previous row if one is available.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### get

public Row get()
Description copied from interface: `Cursor`
Get the complete current row. All column are available.

Specified by:
  `get` in interface `Cursor`
Returns:
  the complete row

### getSearchRow

public SearchRow getSearchRow()
Description copied from interface: `Cursor`
Get the current row. Only the data for indexed columns is available in this row.

Specified by:
  `getSearchRow` in interface `Cursor`
Returns:
  the search row

### next

public boolean next()
Description copied from interface: `Cursor`
Skip to the next row if one is available.

Specified by:
  `next` in interface `Cursor`
Returns:
  true if another row is available

### previous

public boolean previous()
Description copied from interface: `Cursor`
Skip to the previous row if one is available. No filtering is made here.

Specified by:
  `previous` in interface `Cursor`
Returns:
  true if another row is available